View Issue Details

IDProjectCategoryView StatusLast Update
0005918CentOS-6kernelpublic2013-02-14 15:23
Reporternadergan 
PriorityimmediateSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformIntel x86_64 (running in vmware)OSCentOSOS Version6.2
Product Version6.2 
Target VersionFixed in Version6.3 
Summary0005918: Kernel crash with java Not tainted 2.6.32-220.23.1.el6.x86_64 #1 VMware, Inc. VMware Virtual Platform/440BX Desktop Reference P
DescriptionWe are running CentOS 6.2 in VMWare virtual machine and we had server crashed with the following dumps in the dmesg.

I have googled these errors and didn't find any references to this kernel version but found some in older releases.

I suggest this as a kernel bug. please assist

dmesg:

BUG: soft lockup - CPU#1 stuck for 67s! [java:2583]
Modules linked in: autofs4 nfs lockd fscache nfs_acl auth_rpcgss sunrpc iptable_mangle iptable_nat nf_nat ipt_LOG xt_pkttype nf_conntrack_ipv4 nf_defrag_ipv4 iptable_filter ip_tables ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables ipv6 vsock(U) vmci(U) ext3 jbd ppdev parport_pc parport vmware_balloon microcode vmxnet3 i2c_piix4 i2c_core sg shpchp ext4 mbcache jbd2 sd_mod crc_t10dif sr_mod cdrom vmw_pvscsi pata_acpi ata_generic ata_piix dm_mirror dm_region_hash dm_log dm_mod [last unloaded: speedstep_lib]
CPU 1
Modules linked in: autofs4 nfs lockd fscache nfs_acl auth_rpcgss sunrpc iptable_mangle iptable_nat nf_nat ipt_LOG xt_pkttype nf_conntrack_ipv4 nf_defrag_ipv4 iptable_filter ip_tables ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables ipv6 vsock(U) vmci(U) ext3 jbd ppdev parport_pc parport vmware_balloon microcode vmxnet3 i2c_piix4 i2c_core sg shpchp ext4 mbcache jbd2 sd_mod crc_t10dif sr_mod cdrom vmw_pvscsi pata_acpi ata_generic ata_piix dm_mirror dm_region_hash dm_log dm_mod [last unloaded: speedstep_lib]

Pid: 2583, comm: java Not tainted 2.6.32-220.23.1.el6.x86_64 #1 VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform
RIP: 0010:[<ffffffff81144a91>] [<ffffffff81144a91>] page_remove_rmap+0x11/0xa0
RSP: 0018:ffff8802b70d3aa8 EFLAGS: 00010292
RAX: 0000000000000000 RBX: ffff8802b70d3ab8 RCX: 0000000000000010
RDX: 0000000000e62000 RSI: 0000000000000000 RDI: ffffea00064ae000
RBP: ffffffff8100bc0e R08: 0000000000000000 R09: 0000000000000000
R10: ffff880028401f40 R11: 0000000000000002 R12: 0000000000000297
R13: ffff8802b70d3a68 R14: 0000000000000297 R15: ffff880000029d80
FS: 0000000000000000(0000) GS:ffff880028280000(0000) knlGS:0000000000000000
CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000006d4400 CR3: 0000000001a85000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process java (pid: 2583, threadinfo ffff8802b70d2000, task ffff8802b57b6ac0)
Stack:
 ffff88022a3a2868 ffff88002828e4e0 ffff8802b70d3ae8 ffffffff81171558
<0> 00000007a1c00000 00000007a1e00000 ffff88022a3a2870 00000000001d7af0
<0> ffff8802b70d3c28 ffffffff81139783 00000000ffffffff ffff8802b39293c0
Call Trace:
 [<ffffffff81171558>] ? zap_huge_pmd+0xa8/0x1c0
 [<ffffffff81139783>] ? unmap_vmas+0x8a3/0xc00
 [<ffffffff814ed250>] ? thread_return+0x4e/0x76e
 [<ffffffff8113f517>] ? exit_mmap+0x87/0x170
 [<ffffffff814eedf6>] ? down_write+0x16/0x40
 [<ffffffff81066f8c>] ? mmput+0x6c/0x120
 [<ffffffff8106e51b>] ? exit_mm+0x12b/0x180
 [<ffffffff8106e8cf>] ? do_exit+0x15f/0x870
 [<ffffffff8106f038>] ? do_group_exit+0x58/0xd0
 [<ffffffff810843d6>] ? get_signal_to_deliver+0x1f6/0x460
 [<ffffffff8100a2d5>] ? do_signal+0x75/0x800
 [<ffffffff810097cc>] ? __switch_to+0x1ac/0x320
 [<ffffffff814ed250>] ? thread_return+0x4e/0x76e
 [<ffffffff8100aaf0>] ? do_notify_resume+0x90/0xc0
 [<ffffffff8100b3c1>] ? int_signal+0x12/0x17
Code: 00 48 8b 43 08 c7 00 00 00 00 00 5b 41 5c c9 c3 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 53 48 83 ec 08 0f 1f 44 00 00 48 89 fb <f0> 83 47 0c ff 0f 98 c0 84 c0 75 0b 48 83 c4 08 5b c9 c3 0f 1f
Call Trace:
 [<ffffffff8116eeb5>] ? get_pmd_huge_pte+0x35/0x60
 [<ffffffff81171558>] ? zap_huge_pmd+0xa8/0x1c0
 [<ffffffff81139783>] ? unmap_vmas+0x8a3/0xc00
 [<ffffffff814ed250>] ? thread_return+0x4e/0x76e
 [<ffffffff8113f517>] ? exit_mmap+0x87/0x170
 [<ffffffff814eedf6>] ? down_write+0x16/0x40
 [<ffffffff81066f8c>] ? mmput+0x6c/0x120
 [<ffffffff8106e51b>] ? exit_mm+0x12b/0x180
 [<ffffffff8106e8cf>] ? do_exit+0x15f/0x870
 [<ffffffff8106f038>] ? do_group_exit+0x58/0xd0
 [<ffffffff810843d6>] ? get_signal_to_deliver+0x1f6/0x460
 [<ffffffff8100a2d5>] ? do_signal+0x75/0x800
 [<ffffffff810097cc>] ? __switch_to+0x1ac/0x320
 [<ffffffff814ed250>] ? thread_return+0x4e/0x76e
 [<ffffffff8100aaf0>] ? do_notify_resume+0x90/0xc0
 [<ffffffff8100b3c1>] ? int_signal+0x12/0x17
Steps To ReproduceUnknown
Additional Information2.6.32-220.23.1.el6.x86_64 #1 SMP Mon Jun 18 18:58:52 BST 2012 x86_64 x86_64 x86_64 GNU/Linux
TagsNo tags attached.

Activities

tigalch

tigalch

2012-11-18 15:47

manager   ~0016048

could you please retry after updating to 6.3 and the latest kernel.
nadergan

nadergan

2013-02-14 09:49

reporter   ~0016486

Updated to CentOS 6.3

Problem never happened again!

Issue History

Date Modified Username Field Change
2012-08-28 14:08 nadergan New Issue
2012-11-18 15:47 tigalch Note Added: 0016048
2012-11-18 18:16 toracat Status new => feedback
2013-02-14 09:49 nadergan Note Added: 0016486
2013-02-14 09:49 nadergan Status feedback => assigned
2013-02-14 15:23 toracat Status assigned => resolved
2013-02-14 15:23 toracat Resolution open => fixed
2013-02-14 15:23 toracat Fixed in Version => 6.3